<?php
//Include file conencting to database
require('includes/db_connect.php');
//Include html files
include('templates/header.html');
include('templates/navigation.html');

//Start page
if (!isset($_GET['page'])) {
    $page_id = 'home';
} else {
    $page_id = $_GET['page']; 
}

//Use case statements for navigating to other page views
switch ($page_id) {
case 'home' :
//Specify file path for view
    include 'views/home.php';
    break;
case 'record' :
    include 'views/record.php';
    break;
case 'orders' :
    include 'views/orders.php';
    break;
case 'order' :
	include 'views/order.php';
	break;
case 'add_record' :
	include 'views/add_record.php';
	break;
case 'artist' :
	include 'views/artist.php';
	break;
	//If none of the above, go to 404 error page
default :
    include 'views/404.php';
	break;
}
//Close database connection
mysqli_close($link); 
//Include footer html file
include('templates/footer.html');
?>


